# Uses of Interface
org.eclipse.emf.cdo.expressions.ExpressionsFactory

Packages that use ExpressionsFactory
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.

## Uses of ExpressionsFactory in org.eclipse.emf.cdo.expressions

Fields in org.eclipse.emf.cdo.expressions declared as ExpressionsFactory
Modifier and Type
Field
Description
`static final ExpressionsFactory`
ExpressionsFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.emf.cdo.expressions that return ExpressionsFactory
Modifier and Type
Method
Description
`ExpressionsFactory`
ExpressionsPackage.`getExpressionsFactory()`
Returns the factory that creates the instances of the model.

## Uses of ExpressionsFactory in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement ExpressionsFactory
Modifier and Type
Class
Description
`class`
`ExpressionsFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.emf.cdo.expressions.impl that return ExpressionsFactory
Modifier and Type
Method
Description
`ExpressionsFactory`
ExpressionsPackageImpl.`getExpressionsFactory()`
`static ExpressionsFactory`
ExpressionsFactoryImpl.`init()`
Creates the default factory implementation.